
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web; // ajouter une référence à System.web pour obtenir la session courante

namespace DAO_GSB
{
    public class Contextes
    {
       private static Dictionary<string, bdMedecinsEntities> lesContextes=null; 
        
       static Contextes()
       {
            if(lesContextes==null)
                lesContextes = new Dictionary<string,bdMedecinsEntities>();
       }
       public static bdMedecinsEntities getContexte()
        {
            bdMedecinsEntities bd = null;
            string idSession = "session1";
            if (HttpContext.Current != null)
            {
                idSession = HttpContext.Current.Session.SessionID;
            }
            if (!Contextes.lesContextes.ContainsKey(idSession))
            {
                bd = new bdMedecinsEntities();
                Contextes.lesContextes.Add(idSession, bd);
            }
            else
                bd = lesContextes[idSession];
            return bd;
        }
       public static void supprimer(string idSession)
        {
            if (Contextes.lesContextes.ContainsKey(idSession))
            {
                Contextes.lesContextes.Remove(idSession);
                
            }
        }

    }
}
